Create multiple datapoints in batch
curl --request POST \
--url https://api.honeyhive.ai/v1/datapoints/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"events": [
"<string>"
],
"mapping": {
"inputs": [],
"history": [],
"ground_truth": []
},
"filters": {},
"dateRange": {
"$gte": "<string>",
"$lte": "<string>"
},
"checkState": {},
"selectAll": true,
"dataset_id": "<string>"
}
'import requests
url = "https://api.honeyhive.ai/v1/datapoints/batch"
payload = {
"events": ["<string>"],
"mapping": {
"inputs": [],
"history": [],
"ground_truth": []
},
"filters": {},
"dateRange": {
"$gte": "<string>",
"$lte": "<string>"
},
"checkState": {},
"selectAll": True,
"dataset_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
events: ['<string>'],
mapping: {inputs: [], history: [], ground_truth: []},
filters: {},
dateRange: {$gte: '<string>', $lte: '<string>'},
checkState: {},
selectAll: true,
dataset_id: '<string>'
})
};
fetch('https://api.honeyhive.ai/v1/datapoints/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"inserted": true,
"insertedIds": [
"<string>"
]
}Datapoints
Create multiple datapoints in batch
Create multiple datapoints from events using field mappings and optional filters.
POST
/
v1
/
datapoints
/
batch
Create multiple datapoints in batch
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body for POST /datapoints/batch
Was this page helpful?
⌘I

